#!/bin/bash

## Script permettant de ranger et renommer des MP3 donnés en argument dans une arborescence

parametre=$1

if [ $parametre ] 
then
	if [ $parametre == "--help" ]
	then
		echo "Script permettant de ranger et renommer des MP3 donnés en argument dans une arborescence"
		echo -e "Pour utiliser ce script, faites : \n$0 [fichier1] [fichier2] ...\n"
	else
		chemin=`pwd`
		while [ $1 ]
		do
			tag=`tail -c 128 $1`
			groupe=`tail -c 128 $1 | cut -b 34-63`
			annee=`tail -c 128 $1 | cut -b 94-97`
			album=`tail -c 128 $1 | cut -b 63-93`
			titre=`tail -c 128 $1 | cut -b 4-33`
			stockage=`echo "$groupe/($annee) $album" | sed 's/ /\_/g'`
			mkdir -p $stockage
			nouveau_titre="`echo $titre | sed 's/ /\_/g'`.mp3"
			adresse="$stockage/$nouveau_titre"
			cp $1 $adresse
			shift 1
		done
	fi
else
	echo -e "Aucun paramètre.\nPour en savoir plus faites $0 --help"
fi


exit 0;
